OpenFOAM国内下载地址



  • 下列地址可直接使用git clone,例如,打开终端,在终端直接将下面的复制进去:

    git clone https://e.coding.net/dyfluid/ThirdParty-6/ThirdParty-6.git
    

    即可在本地创建ThirdParty-6文件夹。如果提示你没有git,那么输入下面的即可:

    sudo apt install git
    

    OpenFOAM-8:

    适配gcc/g++ 9

    https://e.coding.net/dyfluid/OpenFOAM-8/OpenFOAM-8.git
    https://e.coding.net/dyfluid/ThirdParty-8/ThirdParty-8.git
    

    OpenFOAM-7:

    适配gcc/g++ 9

    https://e.coding.net/dyfluid/OpenFOAM-7/OpenFOAM-7.git
    https://e.coding.net/dyfluid/ThirdParty-7/ThirdParty-7.git
    

    OpenFOAM-6:

    适配gcc/g++ 9

    https://e.coding.net/dyfluid/OpenFOAM-6/OpenFOAM-6.git
    https://e.coding.net/dyfluid/ThirdParty-6/ThirdParty-6.git
    

    OpenFOAM-4.x

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-4.x.git
    

    OpenFOAM-2.3.0:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-2.3.0.git
    

    OpenFOAM-2.2.0:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-2.2.0.git
    

    OpenFOAM-2.1.0:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-2.1.0.git
    

    OpenFOAM-2.0.0:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-2.0.0.git
    

    OpenFOAM-1.7:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.7.git
    

    OpenFOAM-1.6:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.6.git
    

    OpenFOAM-1.5:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.5.git
    

    OpenFOAM-1.4:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.4.git
    

    OpenFOAM-1.3:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.3.git
    

    OpenFOAM-1.2:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.2.git
    

    OpenFOAM-1.1:

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-1.1.git
    

    OpenFOAM-v2006:

    适配gcc/g++ 9

    https://e.coding.net/dyfluid/OpenFOAM-v2006/OpenFOAM-v2006.git
    

    OpenFOAM-v1712

    适配gcc/g++ 5.3.1

    https://e.coding.net/dyfluid/OpenFOAM/OpenFOAM-v1712.git
    


  • 还有一些生命周期比较短的、小众的Foam,感兴趣可以留言我做个国内源。



  • 李老师辛苦了,手动点赞!:146:



  • 感谢李老师~:146:



  • If you want to install PETSc, the following libs should be installed:

    sudo apt-get install libblas-dev liblapack-dev python3-distutils
    

    My Chinese input is missing.

    在使用的时候,挂载

    eval $(foamEtcFile -sh -config petsc -- -force)
    

Log in to reply
 

CFD中文网 2016 - 2020 | 京ICP备15017992号-2